Revokeorgapitoken 1 endpoints

DELETE /users/{userId}/api-tokens/{tokenId}

Get a Reward from API

operationId: RevokeOrgApiToken_rewardById

Parameters

Name In Required Type Description
userId path required string

ID of the user to revoke token

tokenId path required string

ID of the token to revoke

Responses

200

Successful Response

DELETE /users/{userId}/api-tokens/{tokenId}

Stoppayment 5 endpoints

GET /stop-payments
operationId: StopPayment_getList

Parameters

Name In Required Type Description
page query optional
filter query optional object
sort query optional string

Responses

200

OK

GET /stop-payments
POST /stop-payments
operationId: StopPayment_create

Request Body

required
application/json
schema StopPaymentCreateRequest
Property Type Required
data object required

Responses

200

OK

POST /stop-payments
DELETE /stop-payments/{stop_payment_id}
operationId: StopPayment_cancel

Parameters

Name In Required Type Description
stop_payment_id path required string

ID of the stop payment

Responses

204

Stop payment successfully canceled

404

Stop payment not found

DELETE /stop-payments/{stop_payment_id}
GET /stop-payments/{stop_payment_id}
operationId: StopPayment_getDetails

Parameters

Name In Required Type Description
stop_payment_id path required string

ID of the stop payment

Responses

200

OK

404

Stop payment not found

GET /stop-payments/{stop_payment_id}
POST /stop-payments/{stop_payment_id}/disable
operationId: StopPayment_disableStopPayment

Parameters

Name In Required Type Description
stop_payment_id path required string

ID of the stop payment

Responses

200

OK

404

Stop payment not found

POST /stop-payments/{stop_payment_id}/disable

Unfreezeacard 1 endpoints

POST /cards/{cardId}/unfreeze

Unfreeze a Card via API

operationId: UnfreezeACard_byId

Parameters

Name In Required Type Description
cardId path required string

ID of the card to unfreeze

Responses

200

Successful Response

POST /cards/{cardId}/unfreeze

Unfreezeaccount 1 endpoints

POST /accounts/{accountId}/unfreeze

Unfreeze an Account via API

operationId: UnfreezeAccount_byId

Parameters

Name In Required Type Description
accountId path required string

ID of the account to get

Responses

default
200

Successful Response

POST /accounts/{accountId}/unfreeze

Updateaccount 1 endpoints

PATCH /accounts/{accountId}

Update an Account via API

operationId: UpdateAccount_viaApi

Parameters

Name In Required Type Description
accountId path required string

ID of the account to update

Request Body

required

Update Account Request

application/vnd.api+json
schema UpdateAccountViaApiRequest
Property Type Required
data object required

Responses

default
200

Successful Response

PATCH /accounts/{accountId}

Updateapplication 1 endpoints

PATCH /applications/{applicationId}

Update an Application via API

operationId: UpdateApplication_viaApi

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to update

Request Body

required

Update Application Request

application/vnd.api+json
schema UpdateApplicationViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /applications/{applicationId}

Updatecard 1 endpoints

PATCH /cards/{cardId}

Update a Card via API

operationId: UpdateCard_viaApi

Parameters

Name In Required Type Description
cardId path required string

ID of the card to update

Request Body

required

Update Card Request

application/vnd.api+json
schema UpdateCardViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /cards/{cardId}

Updatecheckdeposit 1 endpoints

PATCH /check-deposits/{checkDepositId}

Update a Check Deposit via API

operationId: UpdateCheckDeposit_byId

Parameters

Name In Required Type Description
checkDepositId path required string

ID of the check deposit to update

Request Body

required

Update Check Deposit Request

application/vnd.api+json
schema UpdateCheckDepositByIdRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /check-deposits/{checkDepositId}

Updatecounterparty 1 endpoints

PATCH /counterparties/{counterpartyId}

Update a Counterparty via API

operationId: UpdateCounterparty_viaApi

Parameters

Name In Required Type Description
counterpartyId path required string

ID of the counterparty to update

Request Body

required

Update Counterparty Request

application/vnd.api+json
schema UpdateCounterpartyViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /counterparties/{counterpartyId}

Updatecustomer 1 endpoints

PATCH /customers/{customerId}

Update an Customer via API

operationId: UpdateCustomer_viaApi

Parameters

Name In Required Type Description
customerId path required string

ID of the customer to update

Request Body

required

Update Customer Request

application/vnd.api+json
schema UpdateCustomerViaApiRequest
Property Type Required
data object optional

Responses

200

Successful Response

PATCH /customers/{customerId}

Updatepayment 1 endpoints

PATCH /payments/{paymentId}

Update an Payment via API

operationId: UpdatePayment_viaApi

Parameters

Name In Required Type Description
paymentId path required string

ID of the payment to update

Request Body

required

Update Payment Request

application/vnd.api+json
schema UpdatePaymentViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /payments/{paymentId}

Updatereceivedpayment 1 endpoints

PATCH /received-payments/{paymentId}

Update a Received Payment via API

operationId: UpdateReceivedPayment_viaApi

Parameters

Name In Required Type Description
paymentId path required string

ID of the payment to update

Request Body

required

Update Received Payment Request

application/vnd.api+json
schema UpdateReceivedPaymentViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /received-payments/{paymentId}

Updatetransaction 1 endpoints

PATCH /accounts/{accountId}/transactions/{transactionId}

Update a Transaction via API

operationId: UpdateTransaction_viaApi

Parameters

Name In Required Type Description
accountId path required string

ID of the account to update transaction from

transactionId path required string

ID of the transaction to update

Request Body

required

Update Transaction Request

application/vnd.api+json
schema UpdateTransactionViaApiRequest
Property Type Required
data object required

Responses

200

Successful Response

PATCH /accounts/{accountId}/transactions/{transactionId}

Updatewebhook 1 endpoints

PATCH /webhooks/{webhookId}

Update a Webhook via API

operationId: UpdateWebhook_viaApi

Parameters

Name In Required Type Description
webhookId path required string

ID of the Webhook to update

Request Body

required

Update Webhook Request

application/vnd.api+json
schema UpdateWebhookViaApiRequest
Property Type Required
data object optional
type string optional
attributes object optional
tags object optional

Responses

201

Successful Response

PATCH /webhooks/{webhookId}

Uploadajpegdocumentforanapplication 1 endpoints

PUT /applications/{applicationId}/documents/{documentId}/?

Upload a JPEG file via API

operationId: UploadAJpegDocumentForAnApplication_viaApi

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to upload a file to

documentId path required string

ID of the document to upload a file for

Request Body

required

Upload JPEG File

image/jpeg
schema UploadAJpegDocumentForAnApplicationViaApiRequest

Responses

200

Successful Response

PUT /applications/{applicationId}/documents/{documentId}/?

Uploadajpegdocumentforanapplicationbackside 1 endpoints

PUT /applications/{applicationId}/documents/{documentId}/back/?

Upload a JPEG file via API - Back Side

operationId: UploadAJpegDocumentForAnApplicationBackSide_put

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to upload a file to

documentId path required string

ID of the document to upload a file for

Request Body

required

Upload JPEG File - Back Side

image/jpeg
schema UploadAJpegDocumentForAnApplicationBackSidePutRequest

Responses

200

Successful Response

PUT /applications/{applicationId}/documents/{documentId}/back/?

Uploadapngdocumentforanapplication 1 endpoints

PUT /applications/{applicationId}/documents/{documentId}

Upload a PNG file via API

operationId: UploadAPngDocumentForAnApplication_byId

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to upload a file to

documentId path required string

ID of the document to upload a file for

Request Body

required

Upload PNG File

image/png
schema UploadAPngDocumentForAnApplicationByIdRequest

Responses

200

Successful Response

PUT /applications/{applicationId}/documents/{documentId}

Uploadapngdocumentforanapplicationbackside 1 endpoints

PUT /applications/{applicationId}/documents/{documentId}/back

Upload a PNG file via API - Back Side

operationId: UploadAPngDocumentForAnApplicationBackSide_put

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to upload a file to

documentId path required string

ID of the document to upload a file for

Request Body

required

Upload PNG File - Back Side

image/png
schema UploadAPngDocumentForAnApplicationBackSidePutRequest

Responses

200

Successful Response

PUT /applications/{applicationId}/documents/{documentId}/back

Verifyadocumentforanapplication 1 endpoints

PUT /applications/{applicationId}/documents/{documentId}/verify

Verify a document via API

operationId: VerifyADocumentForAnApplication_put

Parameters

Name In Required Type Description
applicationId path required string

ID of the application to verify a file for

documentId path required string

ID of the document to verify

Request Body

required

Verify Document

application/json
schema VerifyADocumentForAnApplicationPutRequest
Property Type Required
jobId string optional

Responses

200

Successful Response

PUT /applications/{applicationId}/documents/{documentId}/verify